doctrine:
    dbal:

        default_connection: default
        connections:
            default:
                url: '%env(resolve:DATABASE_URL)%'

                # IMPORTANT: You MUST configure your server version,
                # either here or in the DATABASE_URL env var (see .env file)
                server_version: '5.7'
                schema_filter: ~^(?!view_)~

            audit:
                url: '%env(resolve:DATABASE_AUDIT_URL)%'
                server_version: '5.7'

            adminassos:
                url: '%env(resolve:DATABASE_ADMINASSOS_URL)%'

                # IMPORTANT: You MUST configure your server version,
                # either here or in the DATABASE_URL env var (see .env file)
                server_version: '5.7'
        types:
            uuid: Ramsey\Uuid\Doctrine\UuidType


    orm:
        default_entity_manager: default
        auto_generate_proxy_classes: true
        entity_managers:
            default:
                filters:
                    date_time_filter:
                        class: App\Filter\Doctrine\TimeConstraint\DatetimeFilter
                        enabled: false
                    activity_year_filter:
                        class: App\Filter\Doctrine\TimeConstraint\ActivityYearFilter
                        enabled: false
                connection: default
                auto_mapping: true
                mappings:
                    App:
                        is_bundle: false
                        type: attribute
                        dir: '%kernel.project_dir%/src/Entity'
                        prefix: 'App\Entity'
                        alias: App
                dql:
                    string_functions:
                        find_in_set: DoctrineExtensions\Query\Mysql\FindInSet
                    numeric_functions:
                        spherical_distance: App\Doctrine\ORM\AST\SphericalDistance
            audit:
                connection: audit
            adminassos:
                connection: adminassos

